libgeglmm: Gegl::OperationSink Class Reference

libgeglmm

Public Member Functions | Related Functions
Gegl::OperationSink Class Reference
Inheritance diagram for Gegl::OperationSink:
[legend]

List of all members.

## Public Member Functions
GeglOperationSink* | gobj ()
| Provides access to the underlying C GObject.
const GeglOperationSink* | gobj () const
| Provides access to the underlying C GObject.
GeglOperationSink* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
virtual | ~OperationSink ()
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gegl::OperationSink > | wrap (GeglOperationSink* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Gegl::OperationSink::~OperationSink | ( |  | ) | `[virtual]`

## Member Function Documentation

GeglOperationSink* Gegl::OperationSink::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gegl::Operation.

const GeglOperationSink* Gegl::OperationSink::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gegl::Operation.

GeglOperationSink* Gegl::OperationSink::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gegl::Operation.

## Friends And Related Function Documentation

Glib::RefPtr< Gegl::OperationSink > wrap | ( | GeglOperationSink * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- operation.h